<?php

namespace Schaffen\Financial\Price\Models;

use Illuminate\Database\Eloquent\Model;

class Price extends Model
{
    protected $table = "movimentacao.tabela_preco";
    protected $primaryKey = "tap_codigo";
    protected $fillable = [];


    public function person_price()
    {
        return $this->hasMany(PersonPrice::class, "tapp_fk_tap_codigo");
    }

    public function product_price()
    {
        return $this->hasMany(ProductPrice::class, "tpp_fk_tap_codigo");
    }
}