<?php


namespace Schaffen\Financial\Price\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Freelabois\LaravelQuickstart\Interfaces\RepositoryInterface;
use Schaffen\Financial\Price\Repositories\ProductPriceRepository;

class ProductPriceManager extends ManipulationManager
{
    public function __construct(ProductPriceRepository $repository)
    {
        parent::__construct($repository);
    }

    public function buscarPrecos($values){
        return $this->repository->buscaPrecos($values);
    }
}